Rename a template
PATCH /v1/template/{templateID}
PATCH
/v1/template/{templateID}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” templateID
required
string
Unique template identifier.
Request Body required
Section titled “Request Body required ”object
name
required
New template name.
string
Responses
Section titled “ Responses ”No Content
Invalid request payload.
One of:
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
object
message
required
Human-readable error message.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string
Resource not found.
object
message
required
Human-readable error message.
string
Conflict - template cannot be renamed or the name already exists.
object
message
required
Human-readable error message.
string